---
layout: post
title: "Tor Browser Bundle 1.2.8 released"
permalink: tor-browser-bundle-128-released
date: 2009-08-20
author: phobos
category: blog
tags: ["openssl fixes", "tor browser bundle", "vidalia release"]
---

Tor Browser Bundle 1.2.8 is released. The big changes are the inclusion of statically linked openssl dlls to resolve a few geoip lookup and functionality issues with Vidalia, and the upgrade to the [new Vidalia 0.2.2](//blog.torproject.org/blog/vidalia-022-released).

Available at [https://torproject.org/torbrowser](https://torproject.org/torbrowser "https://torproject.org/torbrowser")

The full list of updates and fixes:

- update Torbutton to 1.2.2
- update Vidalia to 0.2.2
- compile OpenSSL 0.9.8k with Visual C to make dlls
- update Pidgin to 2.6.1

